de.esprit.netsuite.netdata.enums

## Enum NetCommand

- java.lang.Object
- - java.lang.Enum<NetCommand>
  - - de.esprit.netsuite.netdata.enums.NetCommand

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NetCommand>

      public enum NetCommand
      extends java.lang.Enum<NetCommand>

  This class defines the request commands as well as the expected argument types for requests and responses.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGENT_EXECUTE`
    `CLIENT_PING`
    `DISCONNECT`
    `LOGIN`
    `LOGOUT`
    `NOP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getRequestArgType()`
    `java.lang.Class` | `getResponseArgType()`
    `static NetCommand` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NetCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT_PING

          public static final NetCommand CLIENT_PING

    - #### DISCONNECT

          public static final NetCommand DISCONNECT

    - #### NOP

          public static final NetCommand NOP

    - #### LOGIN

          public static final NetCommand LOGIN

    - #### LOGOUT

          public static final NetCommand LOGOUT

    - #### AGENT_EXECUTE

          public static final NetCommand AGENT_EXECUTE

  - ### Method Detail

    - #### values

          public static NetCommand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetCommand c : NetCommand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetCommand valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getRequestArgType

          public java.lang.Class getRequestArgType()

    - #### getResponseArgType

          public java.lang.Class getResponseArgType()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.